Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.conn
Class ManagedNHttpClientConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.conn.ManagedNHttpClientConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<ManagedNHttpClientConnection>

    public class ManagedNHttpClientConnectionFactory

extends Object
implements NHttpConnectionFactory<ManagedNHttpClientConnection>

Default factory for `ManagedNHttpClientConnection` instances.

Since:
  4.0

Field Summary
`static ManagedNHttpClientConnectionFactory` | `INSTANCE`

Constructor Summary
`ManagedNHttpClientConnectionFactory()`
`ManagedNHttpClientConnectionFactory(org.apache.http.nio.NHttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory, org.apache.http.nio.NHttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory, org.apache.http.nio.util.ByteBufferAllocator allocator)`

Method Summary
`ManagedNHttpClientConnection` | `create(org.apache.http.nio.reactor.IOSession ioSession, org.apache.http.config.ConnectionConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ManagedNHttpClientConnectionFactory INSTANCE

Constructor Detail

### ManagedNHttpClientConnectionFactory

    public ManagedNHttpClientConnectionFactory(org.apache.http.nio.NHttpMessageWriterFactory<org.apache.http.HttpRequest> requestWriterFactory,
                                               org.apache.http.nio.NHttpMessageParserFactory<org.apache.http.HttpResponse> responseParserFactory,
                                               org.apache.http.nio.util.ByteBufferAllocator allocator)

### ManagedNHttpClientConnectionFactory

    public ManagedNHttpClientConnectionFactory()

Method Detail

### create

    public ManagedNHttpClientConnection create(org.apache.http.nio.reactor.IOSession ioSession,
                                               org.apache.http.config.ConnectionConfig config)

  Specified by:
    `create` in interface `NHttpConnectionFactory<ManagedNHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.